petsc-3.4.2 2013-07-02

# PetscFormatConvert

Takes a PETSc format string and converts it to a reqular C format string

### Synopsis

    PetscErrorCode  PetscFormatConvert(const char *format,char *newformat,size_t size)

### Input Parameters

| format | - the PETSc format string
| newformat | - the location to put the standard C format string values
| size | - the length of newformat

Note: this exists so we can have the same code when PetscInt is either int or long long and PetscScalar is either __float128, double, or float

Level:developer
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages